Bug 1178239 - [abrt] dnf: posixpath.py:80:join:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 23: ordinal not in range(128)
[abrt] dnf: posixpath.py:80:join:UnicodeDecodeError: 'ascii' codec can't deco...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ea14a3175e712d105a89eab2334...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-02 19:34 EST by Jakub Skořepa
Modified: 2015-02-20 03:33 EST (History)
7 users (show)

See Also:
Fixed In Version: hawkey-0.5.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-20 03:33:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.37 KB, text/plain)
2015-01-02 19:34 EST, Jakub Skořepa
no flags Details
File: dso_list (68 bytes, text/plain)
2015-01-02 19:34 EST, Jakub Skořepa
no flags Details
File: environ (1.88 KB, text/plain)
2015-01-02 19:34 EST, Jakub Skořepa
no flags Details

  None (edit)
Description Jakub Skořepa 2015-01-02 19:34:35 EST
Description of problem:
dnf download avrdude --source

Version-Release number of selected component:
dnf-0.6.3-2.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /bin/dnf download avrdude --source
executable:     /bin/dnf
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
posixpath.py:80:join:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 23: ordinal not in range(128)

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 182, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1059, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/download.py", line 94, in run
    map(move, locations)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/download.py", line 195, in _move_package
    shutil.copy(location, target)
  File "/usr/lib64/python2.7/shutil.py", line 118, in copy
    dst = os.path.join(dst, os.path.basename(src))
  File "/usr/lib64/python2.7/posixpath.py", line 80, in join
    path += '/' + b
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 23: ordinal not in range(128)

Local variables in innermost frame:
a: '/home/jakub.skorepa/Sta\xc5\xbeen\xc3\xa9'
path: '/home/jakub.skorepa/Sta\xc5\xbeen\xc3\xa9'
b: u'avrdude-6.1-2.fc21.src.rpm'
p: (u'avrdude-6.1-2.fc21.src.rpm',)
Comment 1 Jakub Skořepa 2015-01-02 19:34:39 EST
Created attachment 975503 [details]
File: backtrace
Comment 2 Jakub Skořepa 2015-01-02 19:34:40 EST
Created attachment 975504 [details]
File: dso_list
Comment 3 Jakub Skořepa 2015-01-02 19:34:44 EST
Created attachment 975505 [details]
File: environ
Comment 4 Honza Silhan 2015-01-14 08:58:10 EST
Thanks for the report. PR created [1].

[1] https://github.com/rpm-software-management/dnf-plugins-core/pull/53
Comment 5 Fedora Update System 2015-02-15 19:03:43 EST
dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21
Comment 6 Fedora Update System 2015-02-17 03:04:35 EST
Package hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.3-2.fc21 dnf-plugins-core-0.1.5-1.fc21 dnf-0.6.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2139/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-02-20 03:33:00 EST
hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.